# module MathML::String

### Public Class Methods

mathml_latex_parser() click to toggle source

       # File lib/math_ml/string.rb
    14 def self.mathml_latex_parser
    15   @@mathml_latex_parser ||= MathML::LaTeX::Parser.new
    16   @@mathml_latex_parser
    17 end

mathml_latex_parser=(mlp) click to toggle source

       # File lib/math_ml/string.rb
    19 def self.mathml_latex_parser=(mlp)
    20   raise TypeError unless mlp.is_a?(MathML::LaTeX::Parser) || mlp.nil?
    21
    22   @@mathml_latex_parser = mlp
    23 end

### Public Instance Methods

to_mathml(displaystyle = false) click to toggle source

       # File lib/math_ml/string.rb
    25 def to_mathml(displaystyle = false)
    26   MathML::String.mathml_latex_parser.parse(self, displaystyle)
    27 end